Subject: Re: bug#27846: 26.0.50; hover highlighting in an *occur* buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 15 Jul 2019 20:14:14 +0200

Dani Moncayo <[email-masked]> writes:

> While moving the mouse pointer over the text in an *occur* buffer,
> I've just noticed that, if I move the mouse pointer over a line of
> matched text, that line is highlighted, but _not_ including the line
> number which precedes the matched text.
>
> Conversely, if I move the mouse pointer over a line number, only it
> (the line number) is highlighted (not including the text which follows
> it).
>
> IMO, that separation is just bad.  IOW, I think it would be better to
> always highlight together the line number and its corresponding
> line(s) of matched text.
>
> This would make easier to visually relate both items (line number and
> line text), with is not trivial in cases where the matched text has a
> fair amount of leading whitespace.

Makes sense.  I've now tweaked the Occur buffer in Emacs 27 to do this.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no